commit:     6952cf11c8404caeed245144c0fce47409349c79
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 22 21:20:34 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Mar 22 21:20:34 2020 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=6952cf11

dev-util/kdevelop: Add dev-util/meson pkg_postinst info

Upstream commits:
b53ea9aa452ef57595ab488405f21e8bdd989f8f
50b5372c387ec274f100ec05d9b0248e23dfabb9

Package-Manager: Portage-2.3.94, Repoman-2.3.21
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-util/kdevelop/kdevelop-9999.ebuild | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/dev-util/kdevelop/kdevelop-9999.ebuild 
b/dev-util/kdevelop/kdevelop-9999.ebuild
index 2cf7c3bb05..525860f557 100644
--- a/dev-util/kdevelop/kdevelop-9999.ebuild
+++ b/dev-util/kdevelop/kdevelop-9999.ebuild
@@ -138,4 +138,8 @@ pkg_postinst() {
        if ! has_version "dev-util/clazy" ; then
                elog "For static C++ Qt code analysis support, please install 
dev-util/clazy"
        fi
+
+       if ! has_version ">=dev-util/meson-0.51" ; then
+               elog "For the Meson Project manager plugin, please install 
dev-util/meson"
+       fi
 }

Reply via email to